<launch>
  <!-- By default we do not overwrite the URDF. Change the following to true to change the default behavior -->
  <arg name="load_robot_description" default="false"/>

  <!-- The name of the parameter under which the URDF is loaded -->
  <arg name="robot_description" default="robot_description"/>

  <!-- Specify the IK Solver to use. By default, use kdl (cached) -->
  <!-- Valid values are bio_ik, cached_ik, ikfast, kdl, trac_ik -->
  <arg name="ik_solver" default="cached_ik"/>

  <!-- Load universal robot description format (URDF) -->
  <param if="$(arg load_robot_description)" name="$(arg robot_description)" command="xacro  '$(find shutter_description)/robots/shutter.v.2.0.xacro'"/>

  <!-- The semantic description that corresponds to the URDF -->
  <param name="$(arg robot_description)_semantic" textfile="$(find shutter_moveit_config)/config/shutter.srdf" />

  <!-- Load updated joint limits (override information from URDF) -->
  <group ns="$(arg robot_description)_planning">
    <rosparam command="load" file="$(find shutter_moveit_config)/config/joint_limits.yaml"/>
    <rosparam command="load" file="$(find shutter_moveit_config)/config/cartesian_limits.yaml"/>
  </group>

  <!-- Load default settings for kinematics; these settings are overridden by settings in a node's namespace -->
  <group ns="$(arg robot_description)_kinematics">
    <rosparam if="$(eval ik_solver == 'kdl')" command="load" file="$(find shutter_moveit_config)/config/kinematics.yaml"/>
    <rosparam unless="$(eval ik_solver == 'kdl')" command="load" file="$(find shutter_moveit_config)/config/$(arg ik_solver)_kinematics.yaml"/>

  </group>

</launch>
